package com.bocloud.mcs.collector.smis;


import com.bocloud.ims.entity.CloudVendor;

import java.util.concurrent.Callable;

public class SmisStatCallable implements Callable<String> {

    private final String name;
    private final SmisService smisService;
    private final SmisCimModel smisCimModel;
    private final CloudVendor cloudVendor;


    public SmisStatCallable(String threadName, SmisService smisService, SmisCimModel smisCimModel, CloudVendor cloudVendor) {
        this.name = threadName;
        this.smisService = smisService;
        this.smisCimModel = smisCimModel;
        this.cloudVendor = cloudVendor;
    }

    @Override
    public String call() throws Exception {
        Thread.currentThread().setName(name);
        return smisService.smisCim(cloudVendor, smisCimModel);
    }
}
