package com.bocloud.mcs.collector.smis;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class SmisUtil {

    public static String trimAny(String s) {
        if (s == null) {
            return null;
        }
        return s.replaceAll("\\n", "").
                replaceAll("\\t", "").
                replaceAll("\\s", "").
                replaceAll("\\r", "");
    }

    public static String unicodeToString(String string) {
        StringBuffer stringBuffer = new StringBuffer();
        String pattern = "\\\\u[0-9,a-f,A-F]{4}";
        Matcher matcher = Pattern.compile(pattern).matcher(string);
        while (matcher.find()) {
            char c = (char) Integer.parseInt(matcher.group().replaceAll("\\\\u", ""), 16);
            matcher.appendReplacement(stringBuffer, new String(new char[]{c}));
        }
        matcher.appendTail(stringBuffer);
        return stringBuffer.toString();
    }

}
